{% extends "base.html" %}
{% load static %}

{% block title %} FAQs {% endblock %}
{% block titleHeader %} FAQs {% endblock %}

{% block titleSubHeader %}
Do you have a question? Maybe there is an answer.
{% endblock %}

{% block libraries %}
<script src="https://cdn.jsdelivr.net/npm/editorjs-html@3.0.3/build/edjsHTML.js"></script>
{% endblock %}

{% block content %}


<div class="container">
    {% if request.user.is_staff %}
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <p>You want delete the following questions : </p>
        <p><b>Category</b><br>{{question_element.category.name}}</p>
        <p><b>Question</b><br>{{question_element.question}}</p>
        <p><b>Position</b><br>{{question_element.position}}</p>
        <p><b>Response</b></p>
        <div id='divResponse'></div>
        <p>Are you sure ?</p>

        <a type="button" class="btn btn-success" href="{% url 'faq_list' %}">
            <i class="fas fa-times"></i> No
        </a>
        <a type="button" class="btn btn-danger"
           href="{% url 'question_delete'  id_question=question_element.id %}">
            <i class="fas fa-times"></i> Yes
        </a>
    </div>

    <script>
      const edjsParser = edjsHTML();
      var div;
      div = document.getElementById('divResponse');
      div.innerHTML += edjsParser.parse({{question_element.response | safe }}).join(' ');

    </script>
    {% else %}

    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        "You must be staff to delete category !
    </div>
    {% endif %}
</div>

{% endblock %}